Subject: [trill] TRILL OAM framework review (draft-ietf-trill-oam-framework-01)

From: "Susan Hares" <[email-masked]>
Date: Thu, 4 Apr 2013 17:36:28 -0400

Donald, Sam, Tissa, and Samer:

General comments: Nicely written and enjoyable to read after all of the
debates. 

Two technical issues concern me as underspecified in the document: 

1.       Section 2.4 has maintenance Domains which can be "nested to form a
hierarchy" (p. 12, para. 1) 

a.       The nesting of Domains seems to be underspecified in this draft and
it is unclear exactly how these domains would nest. 

b.      There are mechanism for finding the hierarchy (Domain name and
maintenance level (numeric ID), but it is not clear from the document how
this works. 

2.       Section 4.2.1.2 - Multicast prevention of reply storms from
overwhelming the initiating RBridge. 

a.       Staggering or Jittering responses  may or may not protect the
initiating RBridge

b.      Again - this may be right or wrong, but the lack of additional
details concerns me whether this solution has been written down correctly.
I suspect from Tissa's comments that it is working. 

Editorial comments: 

1.       Replace TRILL-OAM-REQ with RFC6905 in all document,

2.       p. 4 TRILL in para. 2 has an extra space "-     TRILL" to "-TRILL"

3.       use of "multipathing" - has this been defined elsewhere? - it
should be defined or referenced,

4.       page 6. Para. 2 beginning [RFC6371].  Please change
/protection-switching management and/protection-switching management/

5.       page 8 sentence:  "The output ports on which TRILL OAM message are
sent are determined by the TRILL routing function, which will only send on
links that are in the up state and have been incorporated into the local
view of the campus topology"  - Suggest

a.       "The output ports on which TRILL OAM messages are sent are
determined by the TRILL routing function. The TRILL Routing function will
only send on links that are in the up state and have been incorporated into
the local view of the campus topology".  

6.       Page 11 - [TRILLML] - is not listed in the references - 

7.       Page 16.  Suggest changing 1st sentence of paragraph into two
parts.  /[RFC6325] and the Link Header/[RFC6325]. The Link header" 

8.       Page 4.1.2.2 add at end of sentence 2 /section./ section (4.1.2.1).

Sue Hares

Reviewer

---

From: "Samer Salam (ssalam)" <[email-masked]>
Date: Wed, 17 Apr 2013 17:33:25 +0000

Hi Sue,

Thank you for the review comments. We will incorporate them in the updated revision of the draft.

Best Regards,
Samer

From: Susan Hares <[email-masked]<mailto:[email-masked]>>
Date: Thursday, April 4, 2013 2:36 PM
To: 'Donald Eastlake' <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Tissa Senevirathne (tsenevir)" <[email-masked]<mailto:[email-masked]>>, "Samer Salam (ssalam)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: TRILL OAM framework review (draft-ietf-trill-oam-framework-01)

General comments: Nicely written and enjoyable to read after all of the debates.

1.       Section 2.4 has maintenance Domains which can be “nested to form a hierarchy” (p. 12, para. 1)

a.       The nesting of Domains seems to be underspecified in this draft and it is unclear exactly how these domains would nest.

b.      There are mechanism for finding the hierarchy (Domain name and maintenance level (numeric ID), but it is not clear from the document how this works.

2.       Section 4.2.1.2 – Multicast prevention of reply storms from overwhelming the initiating RBridge.

a.       Staggering or Jittering responses  may or may not protect the initiating RBridge

b.      Again – this may be right or wrong, but the lack of additional details concerns me whether this solution has been written down correctly.  I suspect from Tissa’s comments that it is working.

Editorial comments:

2.       p. 4 TRILL in para. 2 has an extra space “-     TRILL” to “-TRILL”

3.       use of “multipathing” – has this been defined elsewhere? – it should be defined or referenced,

4.       page 6. Para. 2 beginning [RFC6371].  Please change /protection-switching management and/protection-switching management/

5.       page 8 sentence:  “The output ports on which TRILL OAM message are sent are determined by the TRILL routing function, which will only send on links that are in the up state and have been incorporated into the local view of the campus topology”  - Suggest

a.       “The output ports on which TRILL OAM messages are sent are determined by the TRILL routing function. The TRILL Routing function will only send on links that are in the up state and have been incorporated into the local view of the campus topology”.

6.       Page 11 – [TRILLML] – is not listed in the references –

7.       Page 16.  Suggest changing 1st sentence of paragraph into two parts.  /[RFC6325] and the Link Header/[RFC6325]. The Link header”

Sue Hares
Reviewer